ru.bitel.bgbilling.modules.mps.server.events

## Class MPSOSMPRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.mps.server.events.MPSBeforeRequestEvent
        - - ru.bitel.bgbilling.modules.mps.server.events.MPSOSMPRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.

      @Deprecated
      public class MPSOSMPRequestEvent
      extends MPSBeforeRequestEvent

  Событие - перед отправкой запроса ОСМП. Оставлено для совместимости, т.к. является частным случаем события `MPSBeforeRequestEvent`, которое и нужно использовать.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MPSOSMPRequestEvent(int moduleId, MPSRequest request, MPSResponse response)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.events.MPSBeforeRequestEvent

      `getParameters, getRequest, getResponse, isProcessed, setProcessed`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MPSOSMPRequestEvent

          public MPSOSMPRequestEvent(int moduleId,
                                     MPSRequest request,
                                     MPSResponse response)

      Deprecated.